# Uses of Class
org.springframework.web.servlet.mvc.condition.ConsumesRequestCondition

Packages that use ConsumesRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of ConsumesRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return ConsumesRequestCondition
Modifier and Type
Method
Description
`ConsumesRequestCondition`
ConsumesRequestCondition.`combine(ConsumesRequestCondition other)`
Returns the "other" instance if it has any expressions; returns "this" instance otherwise.
`ConsumesRequestCondition`
ConsumesRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Checks if any of the contained media type expressions match the given request 'Content-Type' header and returns an instance that is guaranteed to contain matching expressions only.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type ConsumesRequestCondition
Modifier and Type
Method
Description
`ConsumesRequestCondition`
ConsumesRequestCondition.`combine(ConsumesRequestCondition other)`
Returns the "other" instance if it has any expressions; returns "this" instance otherwise.
`int`
ConsumesRequestCondition.`compareTo(ConsumesRequestCondition other, HttpServletRequest request)`
Returns: 0 if the two conditions have the same number of expressions Less than 0 if "this" has more or more specific media type expressions Greater than 0 if "other" has more or more specific media type expressions

## Uses of ConsumesRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return ConsumesRequestCondition
Modifier and Type
Method
Description
`ConsumesRequestCondition`
RequestMappingInfo.`getConsumesCondition()`
Return the "consumes" condition of this `RequestMappingInfo`; or instance with 0 consumes expressions (never `null`).
Constructors in org.springframework.web.servlet.mvc.method with parameters of type ConsumesRequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.